View Issue Details

IDProjectCategoryView StatusLast Update
0002044Kali Linux[All Projects] General Bugpublic2016-03-05 14:57
Reporterjamfwright Assigned Tosbrun  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.0.9 
Target VersionFixed in Version1.1.0 
Summary0002044: Virtualbox Module Fail
DescriptionUpdated and it appears the Virtualbox kernel module does not compile correctly. Tried removing then installing Virtualbox, but same issue. Ran "dpkg-reconfigure --priority low virtualbox-dkms", and still fails. Was working before the upgrade :)

[FAIL] Starting VirtualBox kernel modules[....] No suitable module for running kernel found ... failed!
 failed!
Steps To ReproduceUpdate today with apt-get update && apt-get dist-upgrade. Try starting Virtualbox service. Can also run "dpkg-reconfigure --priority low virtualbox-dkms" to see failure. Verified kernel headers installed.

Additional Information# uname -a
Linux lebjfwrightlnx2 3.18.0-kali1-amd64 0000001 SMP Debian 3.18.3-1~kali4 (2015-01-22) x86_64 GNU/Linux



# dpkg-reconfigure --priority low virtualbox-dkms

------------------------------
Deleting module version: 4.3.10
completely from the DKMS tree.
------------------------------
Done.
Loading new virtualbox-4.3.10 DKMS files...
Building only for 3.18.0-kali1-amd64
Building initial module for 3.18.0-kali1-amd64
Error! Bad return status for module build on kernel: 3.18.0-kali1-amd64 (x86_64)
Consult /var/lib/dkms/virtualbox/4.3.10/build/make.log for more information.
[ ok ] Stopping VirtualBox kernel modules.
[FAIL] Starting VirtualBox kernel modules[....] No suitable module for running kernel found ... failed!
 failed!
invoke-rc.d: initscript virtualbox, action "restart" failed.


# apt-get install linux-headers-amd64
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-headers-amd64 is already the newest version.
linux-headers-amd64 set to manually installed.

# apt-cache show linux-headers-amd64
Package: linux-headers-amd64
Source: linux-latest (63+kali2)
Version: 3.18+63+kali2
Architecture: amd64
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Installed-Size: 29
Depends: linux-headers-3.18.0-kali1-amd64
Priority: optional
Section: kernel
Filename: pool/main/l/linux-latest/linux-headers-amd64_3.18+63+kali2_amd64.deb
Size: 5290
SHA256: a7b932b4d554137f5cda43b431098505c46f110a9b7f0acaa2a701225cb4075d
SHA1: 271e889e953bbdced5e812ca1f398c58973b5486
MD5sum: 82530000fb36468c5aecfc0ca7ec7522
Description-en: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.

Package: linux-headers-amd64
Source: linux-latest (46)
Version: 3.2+46
Installed-Size: 4
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Architecture: amd64
Provides: linux-headers
Depends: linux-headers-3.2.0-4-amd64
Description-en: Header files for Linux amd64 configuration (meta-package)
 This package depends on the architecture-specific header files for the
 latest Linux kernel amd64 configuration.
Description-md5: c3bd37fd9656f71f4133642896829a35
Tag: admin::kernel, role::devel-lib
Section: kernel
Priority: optional
Filename: pool/main/l/linux-latest/linux-headers-amd64_3.2+46_amd64.deb
Size: 4450
MD5sum: 8451a866f0b4f816534c9939a6b0c738
SHA1: c5885aac081f45b034961d9e87465d4381b40447
SHA256: 8b44f78f6a6ea730af4bf8b96324f9eb438e58f719a7b897bc979b841030c0a4




# apt-cache show virtualbox
Package: virtualbox
Version: 4.3.10-dfsg-1~bpo70+1
Installed-Size: 58364
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Architecture: amd64
Depends: libc6 (>= 2.11), libcurl3 (>= 7.16.2), libgcc1 (>= 1:4.1.1), libgsoap4, libpng12-0 (>= 1.2.13-4), libpython2.7 (>= 2.7), libsdl1.2debian (>= 1.2.11), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 4.6), libvncserver0, libvpx1 (>= 1.0.0), libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), python (>= 2.6.6-7~), python (<< 2.8), python2.7, adduser
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: virtualbox-dkms (= 4.3.10-dfsg-1~bpo70+1) | virtualbox-source (= 4.3.10-dfsg-1~bpo70+1), virtualbox-qt (= 4.3.10-dfsg-1~bpo70+1), libgl1-mesa-glx | libgl1, libqt4-opengl (>= 4:4.5.3), libqtcore4 (>= 4:4.5.3), libqtgui4 (>= 4:4.5.3)
Suggests: virtualbox-guest-additions-iso, vde2
Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0, virtualbox-4.2
Size: 15559552
SHA256: 5f26a7479af979b1a2065b238d79e48680752fc5baf6e6c0510a340551a17fe9
SHA1: af996f4d85b4bb625638343da8e700eb56e814da
MD5sum: 0f1026311aedacf588fb0060dbfe2936
Description-en: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.
Homepage: http://www.virtualbox.org/
Description-md5: 30f96d22c1a6ca04db16bdc1e79ad965
Section: contrib/misc
Priority: optional
Filename: pool/contrib/v/virtualbox/virtualbox_4.3.10-dfsg-1~bpo70+1_amd64.deb

Package: virtualbox
Version: 4.1.18-dfsg-2.1
Installed-Size: 44723
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Architecture: amd64
Replaces: virtualbox-ose (<< 4.0.6-dfsg-1~)
Depends: libc6 (>= 2.6), libcurl3 (>= 7.16.2), libgcc1 (>= 1:4.1.1), libgsoap2, libpng12-0 (>= 1.2.13-4), libpython2.7 (>= 2.7), libsdl1.2debian (>= 1.2.11), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 4.6), libvncserver0, libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), python (>= 2.6.6-7~), python (<< 2.8), python2.7, adduser
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: virtualbox-dkms (= 4.1.18-dfsg-2.1) | virtualbox-source (= 4.1.18-dfsg-2.1), virtualbox-qt (= 4.1.18-dfsg-2.1), libgl1-mesa-glx | libgl1, libqt4-opengl (>= 4:4.5.3), libqtcore4 (>= 4:4.5.3), libqtgui4 (>= 4:4.5.3)
Suggests: virtualbox-guest-additions-iso, vde2
Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0
Breaks: virtualbox-ose (<< 4.0.6-dfsg-1~)
Size: 12779056
SHA256: d0bdd8591b6060357e933b0c415121a171a149f5fabc02c69f5c16c1a9ca173b
SHA1: ca7d710f5a11bcc7d7bc266e8cb50d979fbda849
MD5sum: 55e2b346e940414f35982d3bcad743a1
Description-en: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.
Homepage: http://www.virtualbox.org/
Description-md5: 30f96d22c1a6ca04db16bdc1e79ad965
Tag: hardware::emulation, implemented-in::c, interface::x11, role::program,
 scope::application, uitoolkit::qt, uitoolkit::sdl, x11::application
Section: misc
Priority: optional
Filename: pool/main/v/virtualbox/virtualbox_4.1.18-dfsg-2.1_amd64.deb

Package: virtualbox
Version: 4.1.18-dfsg-2+deb7u4
Installed-Size: 44703
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Architecture: amd64
Replaces: virtualbox-ose (<< 4.0.6-dfsg-1~)
Depends: libc6 (>= 2.6), libcurl3 (>= 7.16.2), libgcc1 (>= 1:4.1.1), libgsoap2, libpng12-0 (>= 1.2.13-4), libpython2.7 (>= 2.7), libsdl1.2debian (>= 1.2.11), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 4.6), libvncserver0, libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), python (>= 2.6.6-7~), python (<< 2.8), python2.7, adduser
Suggests: virtualbox-guest-additions-iso, vde2
Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0
Breaks: virtualbox-ose (<< 4.0.6-dfsg-1~)
Size: 12691188
SHA256: 60679f51aae913ecb467e0a4f7c03b3a46d5741bb5ae45d06405c75c68c0906f
SHA1: 28cdc4e0dd8106f7ee2ea9a44b7afc25bd0f2aaa
MD5sum: d948e52cd6ca93bb248e3f9af9469626
Description-en: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.
Homepage: http://www.virtualbox.org/
Description-md5: 30f96d22c1a6ca04db16bdc1e79ad965
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: virtualbox-dkms (= 4.1.18-dfsg-2+deb7u4) | virtualbox-source (= 4.1.18-dfsg-2+deb7u4), virtualbox-qt (= 4.1.18-dfsg-2+deb7u4), libgl1-mesa-glx | libgl1, libqt4-opengl (>= 4:4.5.3), libqtcore4 (>= 4:4.5.3), libqtgui4 (>= 4:4.5.3)
Section: misc
Priority: optional
Filename: pool/main/v/virtualbox/virtualbox_4.1.18-dfsg-2+deb7u4_amd64.deb

Package: virtualbox
Version: 4.1.18-dfsg-2+deb7u3
Installed-Size: 44703
Maintainer: Debian Virtualbox Team <pkg-virtualbox-devel@lists.alioth.debian.org>
Architecture: amd64
Replaces: virtualbox-ose (<< 4.0.6-dfsg-1~)
Depends: libc6 (>= 2.6), libcurl3 (>= 7.16.2), libgcc1 (>= 1:4.1.1), libgsoap2, libpng12-0 (>= 1.2.13-4), libpython2.7 (>= 2.7), libsdl1.2debian (>= 1.2.11), libssl1.0.0 (>= 1.0.0), libstdc++6 (>= 4.6), libvncserver0, libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxml2 (>= 2.7.4), libxmu6, libxt6, zlib1g (>= 1:1.1.4), python (>= 2.6.6-7~), python (<< 2.8), python2.7, adduser
Pre-Depends: dpkg (>= 1.15.6~)
Recommends: virtualbox-dkms (= 4.1.18-dfsg-2+deb7u3) | virtualbox-source (= 4.1.18-dfsg-2+deb7u3), virtualbox-qt (= 4.1.18-dfsg-2+deb7u3), libgl1-mesa-glx | libgl1, libqt4-opengl (>= 4:4.5.3), libqtcore4 (>= 4:4.5.3), libqtgui4 (>= 4:4.5.3)
Suggests: virtualbox-guest-additions-iso, vde2
Conflicts: virtualbox-2.0, virtualbox-2.1, virtualbox-2.2, virtualbox-3.0
Breaks: virtualbox-ose (<< 4.0.6-dfsg-1~)
Description-en: x86 virtualization solution - base binaries
 VirtualBox is a free x86 virtualization solution allowing a wide range
 of x86 operating systems such as Windows, DOS, BSD or Linux to run on a
 Linux system.
 .
 This package provides the binaries for VirtualBox. Either the virtualbox-dkms
 or the virtualbox-source package is also required in order to compile the
 kernel modules needed for virtualbox. A graphical user interface for
 VirtualBox is provided by the package virtualbox-qt.
Homepage: http://www.virtualbox.org/
Description-md5: 30f96d22c1a6ca04db16bdc1e79ad965
Tag: hardware::emulation, implemented-in::c, interface::x11, role::program,
 scope::application, uitoolkit::qt, uitoolkit::sdl, x11::application
Section: otherosfs
Priority: optional
Filename: pool/main/v/virtualbox/virtualbox_4.1.18-dfsg-2+deb7u3_amd64.deb
Size: 12757352
MD5sum: 761a6797af805b09d44cd0ef8560167c
SHA1: 1c98f8291cdb7ab57fcab95dbacea6b4aada3e88
SHA256: 30ec06ac2ee0140585dd5130537d1f971355bfe68ba0a0559173292e423130f9

Activities

rhertzog

2015-02-04 21:59

administrator   ~0002993

Yes, known problem, we're working on it. Expect an update on thursday.

sbrun

2015-02-05 11:15

manager   ~0002995

problem fixed with new version: virtualbox_4.3.20-dfsg-1~kali1

Issue History

Date Modified Username Field Change
2015-02-04 15:21 jamfwright New Issue
2015-02-04 21:59 rhertzog Note Added: 0002993
2015-02-04 21:59 rhertzog Assigned To => sbrun
2015-02-04 21:59 rhertzog Status new => confirmed
2015-02-05 11:15 sbrun Note Added: 0002995
2015-02-05 11:15 sbrun Status confirmed => resolved
2015-02-05 11:15 sbrun Resolution open => fixed
2015-02-05 11:15 sbrun Fixed in Version => 1.1.0